ProxyDiagnostics (Apache Ant API)
Keywords: org.apache.tools.ant.util.java15.ProxyDiagnostics class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.util.java15
Class ProxyDiagnostics

    java.lang.Object
      org.apache.tools.ant.util.java15.ProxyDiagnostics

    public class ProxyDiagnostics

extends java.lang.Object

This class exists to create a string that tells diagnostics about the current state of proxy diagnostics. It does this in its toString operator. Java1.5+ is needed to compile this class; its interface is classic typeless Java.

Since:
  Ant 1.7

Field Summary
`static java.lang.String` | `DEFAULT_DESTINATION` "http://ant.apache.org/"

Constructor Summary
`ProxyDiagnostics()` create a proxy diagnostics tool bound to `DEFAULT_DESTINATION`
`ProxyDiagnostics(java.lang.String destination)` create a diagnostics binding for a specific URI

Method Summary
`java.lang.String` | `toString()` Get the diagnostics for proxy information.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_DESTINATION

    public static final java.lang.String DEFAULT_DESTINATION

  "http://ant.apache.org/"

  See Also:
    Constant Field Values

Constructor Detail

### ProxyDiagnostics

    public ProxyDiagnostics(java.lang.String destination)

  create a diagnostics binding for a specific URI

  Parameters:
    `destination` - dest to bind to
  Throws:
    `BuildException` - if the URI is malformed.

### ProxyDiagnostics

    public ProxyDiagnostics()

  create a proxy diagnostics tool bound to `DEFAULT_DESTINATION`

Method Detail

### toString

    public java.lang.String toString()

  Get the diagnostics for proxy information.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the information.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD